Lapack::eigenValues
Lapack::leastSquaresByFactorisation
Lapack
PHP Manual

# Lapack::identity

(PECL lapack >= 0.1.0)

Lapack::identity — Return an identity matrix

### Description

public static array Lapack::identity ( int `$n` )

Return a size n identity matrix

### Parameters

`n`

  The height and width of the identity matrix.

### Return Values

Will return a an array of n arrays, each containing n entries. The diagonals of the matrix will be 1s, the other positions 0.

Lapack::eigenValues
Lapack::leastSquaresByFactorisation
Lapack
PHP Manual